summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rw-r--r--build.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100644
index 0000000..4fb28be
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -eu
+
+# Run as a cronjob on the FreeBSD server to update the 'now' feeds and rebuild.
+# Yes, it would be easier to rsync from a system with better guile support.
+
+# TODO actually install haunt
+
+cd "$HOME/www-personal"
+
+./update.sh
+
+"$HOME/git/haunt/pre-inst-env" haunt build
+exec "$HOME/git/haunt/pre-inst-env" haunt publish